by

Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Activity
  • Aug 06 16:15
    nya-elimuai edited #57
  • Aug 06 16:08

    nya-elimuai on master

    Update LICENSE (compare)

  • Aug 06 16:08

    nya-elimuai on master

    Update LICENSE (compare)

  • Aug 06 16:07

    nya-elimuai on master

    Update LICENSE (compare)

  • Aug 05 13:22
    nya-elimuai labeled #23
  • Aug 05 13:22
    nya-elimuai labeled #36
  • Aug 01 00:21
    gscdev closed #51
  • Aug 01 00:20

    gscdev on 51-do-not-skip-lint-checks-during-compilation

    (compare)

  • Aug 01 00:20

    gscdev on master

    #51 remove the code for disabli… Merge pull request #58 from eli… (compare)

  • Aug 01 00:20
    gscdev closed #58
  • Jul 28 22:37
    gscdev review_requested #58
  • Jul 28 22:37
    gscdev review_requested #58
  • Jul 28 22:37
    gscdev review_requested #58
  • Jul 28 22:37
    gscdev opened #58
  • Jul 28 22:22

    gscdev on 51-do-not-skip-lint-checks-during-compilation

    #51 remove the code for disabli… (compare)

  • Jul 28 21:41
    gscdev assigned #51
  • Jul 24 05:18

    nya-elimuai on 2.1.4

    (compare)

  • Jul 24 05:17

    nya-elimuai on master

    Release 2.1.4 (compare)

  • Jul 23 21:41
    gscdev closed #52
  • Jul 23 21:40

    gscdev on 52-Design-the-launcher-to-work-with-Right-to-Left-languages

    (compare)

Jo Grimstad
@jo-elimuai
Thank you, Jithin. I’ll prepare this today.
Jo Grimstad
@jo-elimuai

regarding support, we still only support tablets?

@bojanvu23 See http://elimu.ai/publish

As a minimum we support tablets with screen size 7” and above.
But we are currently discussing whether or not we should support phones as well.
bojanvu23
@bojanvu23
ok
what about Android version?
5 and up?
Jo Grimstad
@jo-elimuai
@bojanvu23 See http://elimu.ai/publish
bojanvu23
@bojanvu23
I saw there, only asked once more :)
Jo Grimstad
@jo-elimuai
API 21 and above, yes.
We will probably adjust this up later.
If necessary.
bojanvu23
@bojanvu23
deal
So I will test app on few tablets.
After that I will review if and how the platform can be edited to work on unrooted devices
is it ok?
Jo Grimstad
@jo-elimuai
Do you have tablets that are not rooted?
bojanvu23
@bojanvu23
yes
I have rooted, unrooted...older newer
maybe I mentioned once, I have about 15 devices
Jo Grimstad
@jo-elimuai
Ok, good
Are these different models/brands?
bojanvu23
@bojanvu23
I usually worked on launchers and for it you have to have so many
yes
Samsungs, Nexus and several unbrended
Jo Grimstad
@jo-elimuai
Ok
Basically, the goal right now is to make the Appstore application work well on a large variety of devices. Both rooted and not rooted. https://github.com/elimu-ai
I’m working on a pull request now for fixing this.
bojanvu23
@bojanvu23
deal
also
after thet maybe I could try to setup
https://developer.android.com/work/cosu.html
this is Android 6 feature
Jo Grimstad
@jo-elimuai
Are you referring to app pinning?
bojanvu23
@bojanvu23
but it's gives little more permission than regulary app
yeap
did you implemented this? :)
Jo Grimstad
@jo-elimuai
No. But it could be useful if we want to force the children to use a specific app during a certain period of time.
For now they are allowed to switch apps as they prefer.
Without any restriction
bojanvu23
@bojanvu23
I know
but lets step by step
I'm going to test it, as I said I returned and I have about 15-20 hours per week
So the testing should be finished soon
Jo Grimstad
@jo-elimuai
Ok, thank you. Just note that the current version of the Appstore is not yet ready for testing.
I will upload a pull request later today.
bojanvu23
@bojanvu23
ok
great,
anyway I need to charge those tablets
:D
English version of the EduApp4Syria winning app
bojanvu23
@bojanvu23
Jo
what would be the most importat Android version, I'm assuming 6
will we support 5?
Jo Grimstad
@jo-elimuai
Hi, Bojan
We will support Android API 21 and above
(5.0)
I'm guessing most of the tablets will be running on Android 6.0